org.pentaho.reporting.libraries.repository.dummy

## Class DummyRepository

- java.lang.Object
- - org.pentaho.reporting.libraries.repository.dummy.DummyRepository

- All Implemented Interfaces:
    java.io.Serializable, Repository

      public class DummyRepository
      extends java.lang.Object
      implements Repository, java.io.Serializable

  A dummy repositor is a empty repository that swallows all content fed into it.
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DummyRepository()` Creates a new dummy repository.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MimeRegistry` | `getMimeRegistry()` Returns the repositories MimeRegistry, which is used return basic content-type information about the items stored in this repository.
    `ContentLocation` | `getRoot()` Returns the repositories root directory entry.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DummyRepository

          public DummyRepository()

      Creates a new dummy repository.

  - ### Method Detail

    - #### getRoot

          public ContentLocation getRoot()

      Returns the repositories root directory entry.
      Specified by:
        `getRoot` in interface `Repository`
      Returns:
        the root directory.

    - #### getMimeRegistry

          public MimeRegistry getMimeRegistry()

      Returns the repositories MimeRegistry, which is used return basic content-type information about the items stored in this repository.
      Specified by:
        `getMimeRegistry` in interface `Repository`
      Returns:
        the mime registry.
      See Also:
        `MimeRegistry`